/**
 * 知识库
 */

import { View } from "@tarojs/components";
import { useState } from "react";
import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import WemetaTabs from "@/components/wemeta-tabs/index";
import PersonalTab from './components/personal-tab'
import CompanyTab from './components/CompanyTab'
import Taro from "@tarojs/taro";




export default function Index() {
  

  

  const tabList = [
    {
      key: "1",
      label: "个人知识",
      children: <View>
        {/* <View className="flex flex-col pt-56 items-center">
          <View className="data-empty"></View>
          <View className="text-12 text-gray-45 text-center leading-24 mt-12">
            暂无数据
          </View>
        </View> */}
        <PersonalTab />
      </View> ,
    },
    {
      key: "2",
      label: "企业知识",
      children: <View>
          <View className="flex-center pt-40">
            <View className="text-center text-14 leading-28 text-gray-45 mb-44 w-172">
              <View className="text-center text-16 leading-24 font-medium text-black">绑定企业，知识自动到位</View>
              <View>访问公司统一知识内容</View>
              <View>一键同步到你的智能体</View>
              <View>提升回复效率与专业度</View>
              <View className="button-rounded button-primary" onClick={()=> Taro.navigateTo({url: '/pages/contact-us/index'})}>联系我们</View>
            </View>
          </View>
          {/* <CompanyTab/> */}
      </View>,
    },
  ];
  return (
    <PageCustom>
      <NavBarNormal backText="知识库"></NavBarNormal>
      <View className="w-full">
        <View className="pt-8">
          <WemetaTabs current="1" list={tabList} className="px-16"></WemetaTabs>
        </View>
      </View>
    </PageCustom>
  );
}
